読者です 読者をやめる 読者になる 読者になる

hakobera's blog

技術メモ。たまに雑談

Heroku で package.json で指定した任意のバージョンの Node.js を 動かす方法

2012/8/7 追記

Heroku が公式で package.json での Node.js/NPM のバージョン指定に対応したので、現在は以下の方法は必要ありません。普通に package.json の engines に利用したいバージョンを書けばOKです。

以下の情報は古いです。

本日、開催された Heroku JP Meetup #3 で話してきた内容です。
内容としては去年の12月の東京Node学園3時限目のLTの進化版で、package.json の engines の指定を変えることで、Node.js のバージョンを切り替えられる公式の versions ブランチの利用法について解説しています。

heroku/heroku-buildpack-nodejs at versions · GitHub

これでもう Node.js の超速バージョンアップも怖くないですね。

おまけ

Node.js v0.7.3 も使える自分の Fork

hakobera/heroku-buildpack-nodejs · GitHub